
table.insert(GLOBAL.STRINGS, "DFV_REMAININGBURNTIME")
table.insert(GLOBAL.STRINGS, "DFV_TIMETILLMORNING")
local require = GLOBAL.require
local Text = require "widgets/text" 
local DFV_LANG = GetModConfigData("DFV_Language")


GLOBAL.STRINGS.DFV_LANG = DFV_LANG

if DFV_LANG == "FR" then
	GLOBAL.STRINGS.DFV_REMAININGBURNTIME = "Temps de combustion restant: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Temps jusqu'au matin: "
elseif DFV_LANG == "GR" then
	GLOBAL.STRINGS.DFV_REMAININGBURNTIME = "Restbrenndauer: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Zeit bis zum Morgen: "
elseif DFV_LANG == "RU" then
	GLOBAL.STRINGS.DFV_REMAININGBURNTIME = "Оставшееся время записи: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Время до утра: "
elseif DFV_LANG == "SP" then
	GLOBAL.STRINGS.DFV_REMAININGBURNTIME = "Tiempo de grabación restante: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Tiempo hasta la mañana: "
elseif DFV_LANG == "IT" then
	GLOBAL.STRINGS.DFV_REMAININGBURNTIME = "Tempo di combustione rimanente: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Tempo fino al mattino: "
else
	GLOBAL.STRINGS.DFV_REMAININGBURNTIME = "Remaining burn time: "
	GLOBAL.STRINGS.DFV_TIMETILLMORNING = "Time until morning: "
end



AddPrefabPostInitAny(function(inst)
	if inst:HasTag("campfire") then 
			inst.basename = inst.name
			inst._name = GLOBAL.net_string(inst.GUID, "fueled_name", "fueled_name_dirty")
			
			local function FuledNameDirty(inst)
				inst.name =  inst._name:value()
			end
			
			if not GLOBAL.TheWorld.ismastersim then
				inst:ListenForEvent("fueled_name_dirty", FuledNameDirty)
			end
		if inst.components.fueled then	
			inst.components.fueled:SetUpdateFn(function() 
				local minutes_left = math.floor((inst.components.fueled.currentfuel / inst.components.fueled.rate) / 60)
				local seconds_left = math.floor(inst.components.fueled.currentfuel - minutes_left * 60)
				local zero = ""
				if seconds_left < 10 then
					zero = "0"
				end
				if inst.components.fueled:IsEmpty() then
					inst.name = inst.basename
				else
					inst.name = inst.basename .. "\n" .. GLOBAL.STRINGS.DFV_REMAININGBURNTIME .. minutes_left .. ":" .. zero .. seconds_left
				end
				
				inst._name:set(inst.name)
			end)
		end
	end
end)



